org.jboss.netty.handler.codec.http.multipart

## Class HttpPostRequestDecoder.NotEnoughDataDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.http.multipart.HttpPostRequestDecoder.NotEnoughDataDecoderException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HttpPostRequestDecoder

    public static class HttpPostRequestDecoder.NotEnoughDataDecoderException
    extends Exception

Exception when try reading data from request in chunked format, and not enough data are available (need more chunks)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpPostRequestDecoder.NotEnoughDataDecoderException()`
`HttpPostRequestDecoder.NotEnoughDataDecoderException(String arg0)`
`HttpPostRequestDecoder.NotEnoughDataDecoderException(String arg0, Throwable arg1)`
`HttpPostRequestDecoder.NotEnoughDataDecoderException(Throwable arg0)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpPostRequestDecoder.NotEnoughDataDecoderException

    public HttpPostRequestDecoder.NotEnoughDataDecoderException()

#### HttpPostRequestDecoder.NotEnoughDataDecoderException

    public HttpPostRequestDecoder.NotEnoughDataDecoderException(String arg0)

Parameters:
  `arg0` -

#### HttpPostRequestDecoder.NotEnoughDataDecoderException

    public HttpPostRequestDecoder.NotEnoughDataDecoderException(Throwable arg0)

Parameters:
  `arg0` -

#### HttpPostRequestDecoder.NotEnoughDataDecoderException

    public HttpPostRequestDecoder.NotEnoughDataDecoderException(String arg0,
                                                        Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -